#ifndef FMP_LOGGER_PLUGIN_P_H
#define FMP_LOGGER_PLUGIN_P_H

#include <ctkPluginActivator.h>

class FMPLogger;

class FMPLoggerPlugin : public QObject, public ctkPluginActivator
{
  Q_OBJECT
  Q_INTERFACES(ctkPluginActivator)
#if (QT_VERSION > QT_VERSION_CHECK(5,0,0))
  Q_PLUGIN_METADATA(IID "com_fmp_logger")
#endif

public:
  explicit          FMPLoggerPlugin();

  void              start(ctkPluginContext* context);
  void              stop(ctkPluginContext* context);

private:

  FMPLogger*        _log_service;

}; // FMPLoggerPlugin

#endif // FMP_LOGGER_PLUGIN_P_H
